#  configuration file for azure continuous integration
jobs:

- job: linux
  pool:
    vmImage: 'ubuntu-latest'
  steps:
  - script: |
      sudo apt install libavformat-dev
    displayName: 'deps'
  - script: |
      make
    displayName: 'make'
    env:
      CFLAGS: -Werror

- job: linux_nodeps
  pool:
    vmImage: 'ubuntu-latest'
  steps:
  - script: |
      make
    displayName: 'make'
    env:
      CFLAGS: -Werror

- job: windows
  pool:
    vmImage: 'vs2017-win2016'
  steps:
  - script: |
      make
    displayName: 'make'
    env:
      # fail on error
      CFLAGS: /WX

- job: macos
  pool:
    vmImage: 'macos-latest'
  steps:
  - script: |
      brew update
      brew install pkg-config gnupg
      brew install sox ffmpeg libsndfile libvorbis flac lcov
    displayName: 'brew install'
  - script: |
      make
    displayName: 'make'
    env:
      CFLAGS: -Werror
